%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/Template.pm) perl(Cache/AgainstFile.pm) perl(Data/JavaScript.pm) perl(Data/JavaScript/Anon.pm) perl(Data/Serializer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(Hash/Flatten.pm) perl(Log/Trace.pm) perl(Test/Assertions.pm) perl(Test/Assertions/TestScript.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(XML/LibXML.pm) perl(XML/LibXSLT.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
%define module_version 1.014
%define module_name Any-Renderer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.014
Release: alt1
Summary: Common API for modules that convert data structures into strings
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BB/BBC/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A renderer in this context is something that turns a data structure into a
string.  This includes templating engines, serialisers etc.

This module provides a consistent API to these services so that your
application can generate output in an extensible variety of formats.
Formats currently supported include:

_- XML (via XML::Simple)
_- XML+XSLT
_- Data::Dumper
_- Javascript, Javascript::Anon & JSON
_- UrlEncoded
_- The formats supported by Data::Serializer (e.g. Config::General and Config::Wrest)
_- Any templating language supported by Any::Template

The module will discover any backend modules and offer up their formats.
Once loaded, Any::Renderer will look for a module to handle any new formats it doesn't know about, so adding new formats in a persistent environment won't require the module to be reloaded.
However if you CHANGE which module provides a format you will need to reload Any::Renderer (e.g. send a SIGHUP to modperl).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes COPYING README
%perl_vendor_privlib/A*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.014-alt1
- initial import by package builder

